# nng_tls_engine_name(3tls) Manual Page

## NAME

nng_tls_engine_name - TLS engine name

## SYNOPSIS

    #include <nng/supplemental/tls/tls.h>

    const char *nng_tls_engine_name(void);

## DESCRIPTION

The `nng_tls_engine_name()` returns a short name for the current TLS engine. If no engine is registered, then the special name "none" is returned.

## RETURN VALUES

The name of the engine.

## ERRORS

None.

## SEE ALSO

nng_tls_engine_description(3tls), nng_tls_engine(5) nng(7)